package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiRiskThreshold;

/**
 * 风险阈值 服务层
 */
public interface ITBusiRiskThresholdService {

    TBusiRiskThreshold selectTBusiRiskThresholdByGuid(String guid);

    List<TBusiRiskThreshold> selectTBusiRiskThresholdList(TBusiRiskThreshold tBusiRiskThreshold);

    int insertTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold);

    int updateTBusiRiskThreshold(TBusiRiskThreshold tBusiRiskThreshold);

    int deleteTBusiRiskThresholdByGuid(String guid);

    int deleteTBusiRiskThresholdByGuids(String[] guids);
}
